Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/rating' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"media_id": 93405,
"media_type": "tv",
"value": 8.5
}
'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/rating"
payload = {
"media_id": 93405,
"media_type": "tv",
"value": 8.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({media_id: 93405, media_type: 'tv', value: 8.5})
};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/rating', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status_code": 1,
"status_message": "Success.",
"success": true
}This endpoint allows you to rate a TV episode and save it to your rated list.
Important Note
If the TV episode you rated is on your watchlist, it will be automatically removed. This keeps your “watched” and “want to watch” lists tidy and in sync. You can edit this behavior here.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the season number of the TV show.
This represents the episode number of the TV show.